
#ifndef __LOADERS_H__
#define __LOADERS_H__

typedef struct
{
	struct {
		void *ptr;
		int fbp;
		int fbw;
		int psm;
		int x, y;
		int w, h;
	} texture, clut;
	int tw, th;
	unsigned char *text_data, *clut_data;
} image_t;

void init_image(image_t *im);
int  load_image_pcx(char *filename, image_t *im);
void free_image(image_t *im);

#endif
